Skip to main content
https://.thoughtindustries.com

Users

Returns the full profile for a single user, including purchased courses and bundles, license assignments, learning path allocations, meeting attendance, and client configuration

Returns the full profile for a single user, including purchased courses and bundles, license assignments, learning path allocations, meeting attendance, and client configuration.

GEThttps://example.thoughtindustries.com/incoming/v2/users/:id

Example request

curl "https://example.thoughtindustries.com/incoming/v2/users/:id" \
  -H 'Authorization: Bearer YOUR_API_KEY'

Parameters

NameTypeRequiredLocationDescription
iduuidYespathUnique identifier of the user to retrieve.

Example response

{
  "data": {
    "UserById": {
      "id": "00000000-0000-0000-0000-000000000000",
      "email": "string",
      "firstName": "string",
      "abbreviatedName": "string",
      "asset": "string",
      "lastName": "string",
      "name": "string",
      "lastActiveAt": "2024-01-01T00:00:00.000Z",
      "bio": "string",
      "twoFactorEnabled": true,
      "firstInitial": "string",
      "lastInitial": "string",
      "invitedByName": "string",
      "shouldHighlight": true,
      "purchasedCourses": [
        {
          "course": {
            "id": "00000000-0000-0000-0000-000000000000",
            "createdAt": "2024-01-01T00:00:00.000Z",
            "updatedAt": "2024-01-01T00:00:00.000Z",
            "slug": "example-slug",
            "status": "draft",
            "title": "string",
            "sessionIsTitled": true,
            "sampleLesson": {
              "...": "..."
            },
            "sampleLessonId": "00000000-0000-0000-0000-000000000000",
            "sections": [
              {
                "...": "..."
              }
            ],
            "appearanceBlock": "00000000-0000-0000-0000-000000000000",
            "appearanceHash": "string",
            "paywallsBlock": "00000000-0000-0000-0000-000000000000",
            "termsBlock": "00000000-0000-0000-0000-000000000000",
            "confirmationBlock": "00000000-0000-0000-0000-000000000000",
            "courseStartDate": "2024-01-01T00:00:00.000Z",
            "courseEndDate": "2024-01-01T00:00:00.000Z",
            "enrollmentStartDate": "2024-01-01T00:00:00.000Z",
            "enrollmentEndDate": "2024-01-01T00:00:00.000Z",
            "gracePeriodEndDate": "2024-01-01T00:00:00.000Z",
            "seatsLimit": 0,
            "waitlistCount": 0,
            "seatsLimitMet": true,
            "waitlistingEnabled": true,
            "waitlistingTriggered": true,
            "taxable": true,
            "purchasable": true,
            "taxCategory": "00000000-0000-0000-0000-000000000000",
            "fulfillmentCenter": "00000000-0000-0000-0000-000000000000",
            "courseGroup": {
              "...": "..."
            },
            "syllabusTitlesEnabled": true,
            "galleryEnabled": true,
            "workbookEnabled": true,
            "linkedWorkbookEnabled": true,
            "linkedWorkbookSkipEnabled": true,
            "superquizEnabled": true,
            "discussionsEnabled": true,
            "resourcesEnabled": true,
            "meetingsOverviewEnabled": true,
            "recurrenceRule": "string",
            "recurrence": {},
            "readableRecurrenceString": "string",
            "instructorAccessEnabled": true,
            "instructorEmails": [
              "string"
            ],
            "freeWithRegistration": true,
            "priceInCents": 0,
            "instructorAccessPriceInCents": 0,
            "suggestedRetailPriceInCents": 0,
            "alternativePricingType": "membership",
            "alternativePricingRef": 0,
            "accessDays": 0,
            "showProgress": true,
            "annotationsEnabled": true,
            "forceLinearProgress": true,
            "completionTimePerPage": 0,
            "askLearnerPassword": true,
            "roster": true,
            "topicGroupId": "00000000-0000-0000-0000-000000000000",
            "sku": "string",
            "prerequisiteCourses": [
              {
                "...": "..."
              }
            ],
            "prerequisiteLearningPaths": [
              {
                "...": "..."
              }
            ],
            "parentCourseId": "00000000-0000-0000-0000-000000000000",
            "isChild": true,
            "hasMultipleCurrencies": true,
            "prices": [
              {
                "...": "..."
              }
            ],
            "enrollmentActive": true,
            "waitlistActive": true,
            "webinarDates": [
              {
                "...": "..."
              }
            ],
            "webinarTimeZone": "string",
            "meetings": [
              {
                "...": "..."
              }
            ],
            "inPersonEventInfo": {
              "...": "..."
            },
            "currentUserHasAccess": true,
            "location": {
              "...": "..."
            },
            "displayMap": true,
            "publishDate": "2024-01-01T00:00:00.000Z",
            "isActive": true,
            "futurePublishDate": "2024-01-01T00:00:00.000Z",
            "balanceRequirement": 0,
            "awardClaimingOptions": [
              {
                "...": "..."
              }
            ],
            "availabilityStatus": "string",
            "embeddedEnabled": true,
            "displayResults": true,
            "bulkPurchasingEnabled": true,
            "seatTiers": [
              {
                "...": "..."
              }
            ],
            "seatPackages": [
              {
                "...": "..."
              }
            ],
            "lastTierPriceInCents": 0,
            "webinarId": "string",
            "hasChildren": true,
            "customFields": {},
            "kind": "microCourse",
            "rosterSubmittedDate": "2024-01-01T00:00:00.000Z",
            "finalAssessment": "string",
            "scormCollectUserDetails": true,
            "seatsUsedCount": 0,
            "seatsAllocatedCount": 0,
            "webinarDetails": {
              "...": "..."
            },
            "showSyllabusWhileUnenrolled": true,
            "topicGroup": {
              "...": "..."
            },
            "courseGroupTitle": "string",
            "currentUserDueDate": "2024-01-01T00:00:00.000Z"
          },
          "courseId": "00000000-0000-0000-0000-000000000000",
          "certificate": "00000000-0000-0000-0000-000000000000",
          "certificateIssuedAt": "2024-01-01T00:00:00.000Z",
          "instructorAccessPurchased": true,
          "status": "string"
        }
      ],
      "purchasedBundles": [
        {
          "bundle": {
            "id": "00000000-0000-0000-0000-000000000000",
            "slug": "example-slug",
            "name": "string",
            "purchasable": true,
            "planId": "00000000-0000-0000-0000-000000000000",
            "variations": [
              {
                "...": "..."
              }
            ],
            "taxable": true,
            "needShippingAddress": true,
            "priceInCents": 0,
            "weight": 0,
            "annualPlanId": "00000000-0000-0000-0000-000000000000",
            "annualPriceInCents": 0
          },
          "bundleId": "00000000-0000-0000-0000-000000000000"
        }
      ],
      "activeLicense": {
        "id": "00000000-0000-0000-0000-000000000000",
        "name": "string",
        "label": "string",
        "sku": "string",
        "client": {
          "id": "00000000-0000-0000-0000-000000000000",
          "name": "string",
          "schoolName": "string",
          "courses": [
            {
              "...": "..."
            }
          ],
          "learningPaths": [
            {
              "...": "..."
            }
          ],
          "learningPathIds": [
            "00000000-0000-0000-0000-000000000000"
          ],
          "courseIds": [
            "00000000-0000-0000-0000-000000000000"
          ],
          "courseTags": [
            {
              "...": "..."
            }
          ],
          "courseTagIds": [
            "00000000-0000-0000-0000-000000000000"
          ],
          "purchasableContentIds": [
            "00000000-0000-0000-0000-000000000000"
          ],
          "purchasableTagIds": [
            "00000000-0000-0000-0000-000000000000"
          ],
          "purchasableTags": [
            {
              "...": "..."
            }
          ],
          "licenseEndDate": "2024-01-01T00:00:00.000Z",
          "primaryLicense": {
            "...": "..."
          },
          "dashboardLayoutId": "00000000-0000-0000-0000-000000000000",
          "panorama": true,
          "emailLayout": {
            "...": "..."
          },
          "appearance": {
            "...": "..."
          },
          "catalog": {
            "...": "..."
          },
          "sku": "string",
          "slug": "example-slug",
          "customHost": "string",
          "sso": {
            "...": "..."
          },
          "redemptionLayoutId": "00000000-0000-0000-0000-000000000000",
          "pendingJobs": [
            {
              "...": "..."
            }
          ],
          "seatsAllocatedCount": 0,
          "seatsLimit": 0,
          "seatsUsedCount": 0,
          "tags": [
            {
              "...": "..."
            }
          ],
          "createdAt": "2024-01-01T00:00:00.000Z",
          "updatedAt": "2024-01-01T00:00:00.000Z",
          "licenses": [
            {
              "...": "..."
            }
          ],
          "licenseTree": [
            {
              "...": "..."
            }
          ],
          "currentUserManagerAllocatedLicenseTree": [
            {
              "...": "..."
            }
          ],
          "notificationEmails": "string",
          "enableSegmentation": true,
          "enableDiscussions": true,
          "enableCommunitiesSegmentation": true,
          "enableBranding": true,
          "enableEcommerce": true,
          "enableOnboardingSurvey": true,
          "enableRecommendationAssessment": true,
          "enableGlobalLinks": true,
          "enableNavLinks": true,
          "enableContentDetailPage": true,
          "enableLicenseDashboards": true,
          "enableCustomEmailSettings": true,
          "disabled": true,
          "clientSubscriptionNeedsSetup": true,
          "defaultLanguage": "string",
          "languageSelectorEnabled": true,
          "languages": [
            "string"
          ],
          "autoFilterForSelectedLanguage": true,
          "secretKey": "string",
          "enableCreditPurchasing": true,
          "currentBalance": 0,
          "startingBalance": 0,
          "allocatedCredits": 0,
          "clientAdminAllocatableLearningPaths": [
            "00000000-0000-0000-0000-000000000000"
          ]
        },
        "createdAt": "2024-01-01T00:00:00.000Z",
        "updatedAt": "2024-01-01T00:00:00.000Z",
        "accessDays": 0,
        "expirationDate": "2024-01-01T00:00:00.000Z",
        "seatsLimit": 0,
        "dashboardLayoutId": "00000000-0000-0000-0000-000000000000",
        "enableBranding": true,
        "schoolName": "string",
        "isDefault": true,
        "learningPaths": [
          {
            "id": "00000000-0000-0000-0000-000000000000",
            "layoutId": "00000000-0000-0000-0000-000000000000",
            "layout": {
              "...": "..."
            },
            "learnerLayoutId": "00000000-0000-0000-0000-000000000000",
            "learnerLayout": {
              "...": "..."
            },
            "name": "string",
            "sku": "string",
            "ribbon": {
              "...": "..."
            },
            "slug": "example-slug",
            "client": {
              "...": "..."
            },
            "createdAt": "2024-01-01T00:00:00.000Z",
            "metaTitle": "string",
            "metaDescription": "string",
            "asset": "https://example.com/path",
            "assetAltText": "string",
            "assetLibraryId": "00000000-0000-0000-0000-000000000000",
            "detailAsset": "https://example.com/path",
            "detailAssetAltText": "string",
            "detailAssetLibraryId": "00000000-0000-0000-0000-000000000000",
            "heroAsset": "https://example.com/path",
            "heroAssetAltText": "string",
            "priceInCents": 0,
            "suggestedRetailPriceInCents": 0,
            "alternativePricingType": "membership",
            "alternativePricingRef": 0,
            "accessDays": 0,
            "shortDescription": "string",
            "longDescription": "string",
            "tags": [
              {
                "...": "..."
              }
            ],
            "status": "draft",
            "freeWithRegistration": true,
            "hasMultipleCurrencies": true,
            "prices": [
              {
                "...": "..."
              }
            ],
            "customFields": {},
            "contentType": "string",
            "confirmationHtml": "string",
            "startDate": "2024-01-01T00:00:00.000Z",
            "endDate": "2024-01-01T00:00:00.000Z",
            "enrollmentStartDate": "2024-01-01T00:00:00.000Z",
            "enrollmentEndDate": "2024-01-01T00:00: